--[[

ARLOptions.lua

Blizz UI Options for all of AckisRecipeList

]]--

ARL = AckisRecipeList
local L			= AceLibrary("AceLocale-2.2"):new("AckisRecipeList")

function ARL:CreateGUIOptions()

	-- Create main frame for all the options
	local ARLOptions = CreateFrame("FRAME", "ARLOptions")
	ARLOptions.name = ARLTitle
	InterfaceOptions_AddCategory(ARLOptions)

	-- Filtering Options frame
	local ARLOptionsFilter = CreateFrame("FRAME", "ARLOptionsFilter")
	ARLOptionsFilter.name = L["FILTER_OPTIONS"]
	ARLOptionsFilter.parent = ARLTitle
	InterfaceOptions_AddCategory(ARLOptionsFilter)

	-- Sorting Options frame
	local ARLSortingOptions = CreateFrame("FRAME", "ARLSortingOptions")
	ARLSortingOptions.name = L["SORT_OPTIONS"]
	ARLSortingOptions.parent = ARLTitle
	InterfaceOptions_AddCategory(ARLSortingOptions)

	-- Display Options frame
	local ARLOptionsDisplay = CreateFrame("FRAME", "ARLOptionsDisplay")
	ARLOptionsDisplay.name = L["DISPLAY_OPTIONS"]
	ARLOptionsDisplay.parent = ARLTitle
	InterfaceOptions_AddCategory(ARLOptionsDisplay)

end